> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a parameterized model

> Update a parameterized model's name and/or description.



## OpenAPI

````yaml https://api.ionworks.com/openapi.json patch /cells/{cell_spec_id}/parameterized_models/{parameterized_model_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /cells/{cell_spec_id}/parameterized_models/{parameterized_model_id}:
    patch:
      tags:
        - parameterized_models
      summary: Update a parameterized model
      description: Update a parameterized model's name and/or description.
      operationId: >-
        update_parameterized_model_cells__cell_spec_id__parameterized_models__parameterized_model_id__patch
      parameters:
        - name: cell_spec_id
          in: path
          required: true
          schema:
            type: string
            title: Cell Spec Id
        - name: parameterized_model_id
          in: path
          required: true
          schema:
            type: string
            title: Parameterized Model Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateParameterizedModelBody'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UpdateParameterizedModelBody:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
      type: object
      title: UpdateParameterizedModelBody
      description: Request body for updating a parameterized model (partial update).
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````